# Packmangroup: Libraries
# Packmanpackagename: speex
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Speex is a patent-free audio codec designed especially for voice (unlike Vorbis which targets general audio) signals and providing good narrowband and wideband quality. This project aims to be complementary to the Vorbis codec.</p>
# Packmanpackagedesc_de: <p>Speex ist ein patentfreier Audio-Codec, entwickelt, speziell f&uuml;r Sprachaufnahmen (im Gegensatz zu Vorbes, welches f&uuml;r alle Audioaufzeichnungen gedacht ist).</p>

%define name    speex
%define ver     1.1.7
%define rel     0.pm.0

Name:           %{name}
# Packmandepends: libogg
Summary:        An open-source, patent-free speech codec
Summary(de):    Ein OpenSource, Patentfreieer Sprachcodec
Version:        %{ver}
Release:        %{rel}
Copyright:      BSD
Group:          System/Libraries
Url:            http://www.speex.org/

Source0:        speex-1.1.7.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Buildroot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       libogg >= 1.1
BuildRequires:  libogg-devel >= 1.1
Obsoletes:      libspeex
Provides:       libspeex

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrowband
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%description -l de
Speex ist ein patentfreier Audio-Codec, entwickelt, speziell für Sprachaufnahmen
(im Gegensatz zu Vorbes, welches für alle Audioaufzeichnungen gedacht ist).

%package devel
Summary:        Development package for SpeeX
Summary(de):    Entwicklungspakete für SpeeX
Group:          Development/Libraries/C and C++
Requires:       %{name} glibc-devel
# Packmandepends: speex libogg-devel
Obsoletes:      libspeex-devel
Provides:       libspeex-devel

%description devel
This package contains the files needed to compile programs that
use the SpeeX library.

%description devel -l de
Das Paket enthält die Dateien, die benötigt werden, um Programme
zu kompilieren, die die SpeeX Bibliothek verwenden.

%prep
%setup

%build
#if [ ! -f configure ]; then
#   NO_CONFIGURE=1 ./autogen.sh
#fi
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
%configure --enable-shared=yes
%__make

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%makeinstall

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}


%post
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc %{_mandir}/man?/*
%{_bindir}/speex*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc doc/manual.pdf
%{_includedir}/speex/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4

%changelog
* Sat Mar 05 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.7
* Thu Jul 29 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.1.6
* Sat Nov 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.0.3
* Sat Oct 11 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 1.0.2
* Sat Jul 26 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
